Page MenuHomePhabricator

Release MLEB 2020.04
Closed, ResolvedPublic

Description

Release date: 2020-04-20

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2020, 8:23 AM
Arrbee updated the task description. (Show Details)Apr 9 2020, 1:23 PM
KartikMistry updated the task description. (Show Details)Apr 9 2020, 1:23 PM
Arrbee updated the task description. (Show Details)Apr 9 2020, 1:23 PM
Arrbee set Due Date to Apr 20 2020, 6:30 AM.
abi_ triaged this task as Medium priority.Apr 16 2020, 1:03 PM

I've tested the instance setup by Kartik - MW 1.34 + PHP 7.3. Also setup a local instance to test MW 1.33 + PHP 7.2

You can view the test report in this Google sheet. I had to test some cases on Translatewiki.net.

Note that,

To summarize, I don't see any blockers and we can go ahead with the MLEB release.

abi_ added a comment.Apr 16 2020, 1:09 PM

We would like to have T248200: Support export for offline translation also from command line also in the MLEB release. Related patch needs to be reviewed and merged.

Change 590856 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/extensions/UniversalLanguageSelector@master] Version update before MLEB release 2020.04

https://gerrit.wikimedia.org/r/590856

Change 590857 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/extensions/CleanChanges@master] Version update before MLEB release 2020.04

https://gerrit.wikimedia.org/r/590857

Change 590990 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[translatewiki@master] config: Update version for MLEB 2020.04

https://gerrit.wikimedia.org/r/590990

Change 590990 merged by jenkins-bot:
[translatewiki@master] config: Update version for MLEB 2020.04

https://gerrit.wikimedia.org/r/590990

Change 590856 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Version update before MLEB release 2020.04

https://gerrit.wikimedia.org/r/590856

Change 590857 merged by jenkins-bot:
[mediawiki/extensions/CleanChanges@master] Version update before MLEB release 2020.04

https://gerrit.wikimedia.org/r/590857

Change 591001 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/extensions/Translate@master] Update version before MLEB release

https://gerrit.wikimedia.org/r/591001

Change 591001 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Update version before MLEB release

https://gerrit.wikimedia.org/r/591001

Nikerabbit updated the task description. (Show Details)Apr 20 2020, 1:42 PM
Pginer-WMF closed this task as Resolved.May 7 2020, 1:15 PM